<?php
require_once ("/usr/local/php/include/apiCall.class.php");
require_once('/usr/local/php/include/shortMessageService.Class.php');

class CbmGetMessage extends apiCall {

	private $_cbm;

	function __construct($get = null, $post = null, $files = null){
		parent::__construct($get,$post,$files);
		$this->_name = basename(dirname(__FILE__));
		$this->_cbm = new ShortMessageService();
	}

	function execute () {
		if (!isset($this->_parameters['CbmQueue']) || !isset($this->_parameters['CbmIdentifier'])) {
			$this->_execResultString = 'error:invalid_parameters;';
			$this->_execResult = false;
			$this->_execResponseCode = 406;
			return($this->_execResult);
		}

		if (($cbm = $this->_cbm->getMessage($this->_parameters['CbmQueue'], $this->_parameters['CbmIdentifier'])) == null) {
			$this->_execResultString = 'error:invalid_queue;';
			$this->_execResult = false;
			$this->_execResponseCode = 406;
			return($this->_execResult);
		}

		switch($this->_parameters['CbmQueue']) {
		case 'in':
			$this->_execResultString .= "\n" . $cbm['message'];
			break;
		case 'out':
		case 'failout':
			$this->_execResultString .= "\n" . $cbm['message'];
			$this->_execResultString .= "\n" . $cbm['log'];
			break;
		}

		if (isset($this->_parameters['Delete'])) {
			$this->_cbm->deleteMessage($this->_parameters['CbmQueue'], $this->_parameters['CbmIdentifier']);
		}

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}

}?>